Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class GeoArray.Float

    java.lang.Object
      com.bbn.openmap.geo.GeoArray.Adapter
          com.bbn.openmap.geo.GeoArray.Float

All Implemented Interfaces:
  GeoArray, GeoArray.Mutable

Enclosing class:
  GeoArray

public static class GeoArray.Float
extends GeoArray.Adapter
implements GeoArray.Mutable

An implementation of GeoArray and GeoArray.Mutable that contains float-precision values. Holds the coordinates in a float array of x, y, z, x, y, z values.

Author:
  dietrick

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.geo.GeoArray
`GeoArray.Adapter, GeoArray.Double, GeoArray.Float, GeoArray.Mutable`

Constructor Summary
`protected` | `GeoArray.Float(float[] coords)`
`` | `GeoArray.Float(Geo[] geos)`
`` | `GeoArray.Float(GeoArray ga)`

Method Summary
`void` | `closeArray()` Ensure that the Geo array starts and ends with the same values.
`static GeoArray.Float` | `createFromGeoCoords(float[] xyz)`
`static GeoArray.Float` | `createFromLatLonDegrees(double[] latlondeg)`
`static GeoArray.Float` | `createFromLatLonDegrees(float[] latlondeg)`
`static GeoArray.Float` | `createFromLatLonRadians(double[] latlonrad)`
`static GeoArray.Float` | `createFromLatLonRadians(float[] latlonrad)`
`boolean` | `equals(int index, Geo comp)`
`Geo` | `get(int i)` Get a Geo represented by the index i.
`Geo` | `get(int i, Geo ret)` Load the values for Geo at index i into ret.
`int` | `getSize()` Get the number of Geo points represented by this array.
`void` | `removeDups()` Modify, if needed, the Geo array with the duplicates removed.
`void` | `set(int i, double lat, double lon, boolean isDegrees)` Set the values for the provided index to the latitude, longitude.
`void` | `set(int i, double x, double y, double z)` Set the values for the provided index to the values x, y, z, which are vector Geo values, *not* lat, lon and height.
`void` | `set(int i, Geo g)` Set the values for the provided index to the values represented by g.

Methods inherited from class com.bbn.openmap.geo.GeoArray.Adapter
`area, toLLDegrees, toLLRadians, toPointArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.geo.GeoArray
`area, toLLDegrees, toLLRadians, toPointArray`

Constructor Detail

### GeoArray.Float

    public GeoArray.Float(Geo[] geos)

### GeoArray.Float

    public GeoArray.Float(GeoArray ga)

### GeoArray.Float

    protected GeoArray.Float(float[] coords)

Method Detail

### createFromLatLonDegrees

    public static GeoArray.Float createFromLatLonDegrees(float[] latlondeg)

### createFromLatLonDegrees

    public static GeoArray.Float createFromLatLonDegrees(double[] latlondeg)

### createFromLatLonRadians

    public static GeoArray.Float createFromLatLonRadians(float[] latlonrad)

### createFromLatLonRadians

    public static GeoArray.Float createFromLatLonRadians(double[] latlonrad)

### createFromGeoCoords

    public static GeoArray.Float createFromGeoCoords(float[] xyz)

### getSize

    public int getSize()

  Description copied from interface: `GeoArray`
  Get the number of Geo points represented by this array.

  Specified by:
    `getSize` in interface `GeoArray`
  Returns:

### set

    public void set(int i,
                    double x,
                    double y,
                    double z)

  Description copied from interface: `GeoArray.Mutable`
  Set the values for the provided index to the values x, y, z, which are vector Geo values, *not* lat, lon and height.

  Specified by:
    `set` in interface `GeoArray.Mutable`
  Parameters:
    `i` -
    `x` -
    `y` -
    `z` -

### set

    public void set(int i,
                    Geo g)

  Description copied from interface: `GeoArray.Mutable`
  Set the values for the provided index to the values represented by g.

  Specified by:
    `set` in interface `GeoArray.Mutable`
  Parameters:
    `i` -
    `g` -

### set

    public void set(int i,
                    double lat,
                    double lon,
                    boolean isDegrees)

  Description copied from interface: `GeoArray.Mutable`
  Set the values for the provided index to the latitude, longitude.

  Specified by:
    `set` in interface `GeoArray.Mutable`
  Parameters:
    `i` -
    `lat` -
    `lon` -
    `isDegrees` - true if lat/lon in decimal degrees.

### get

    public Geo get(int i)

  Description copied from interface: `GeoArray`
  Get a Geo represented by the index i.

  Specified by:
    `get` in interface `GeoArray`
  Parameters:
    `i` -
  Returns:

### get

    public Geo get(int i,
                   Geo ret)

  Description copied from interface: `GeoArray`
  Load the values for Geo at index i into ret.

  Specified by:
    `get` in interface `GeoArray`
  Parameters:
    `i` -
    `ret` -
  Returns:

### equals

    public boolean equals(int index,
                          Geo comp)

  Specified by:
    `equals` in interface `GeoArray`
  Parameters:
    `index` - the index of the Geo in the GeoArray to compare.
    `comp` - the Geo to compare to the indexed value.
  Returns:
    true of x, y, and z of the Geos match.

### closeArray

    public void closeArray()

  Ensure that the Geo array starts and ends with the same values. Will replace the current coord array with one three floats longer if needed.

  Specified by:
    `closeArray` in interface `GeoArray`

### removeDups

    public void removeDups()

  Modify, if needed, the Geo array with the duplicates removed.

  Specified by:
    `removeDups` in interface `GeoArray`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details